%define upstream_name Clownfish
%define upstream_version 0.6.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Apache Clownfish symbiotic object system
License:    ASL 2.0
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Clownfish/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Clownfish::CFC) >= 0.6.3
BuildRequires: perl(Clownfish::CFC::Perl::Build) >= 0.6.3
BuildRequires: perl(Devel::PPPort) >= 3.140.0
BuildRequires: perl(ExtUtils::CBuilder) >= 0.210.0
BuildRequires: perl(ExtUtils::ParseXS) >= 3.0.0
BuildRequires: perl(Module::Build) >= 0.280.801
BuildRequires: perl-devel
%description
Apache Clownfish symbiotic object system.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
export PERL5LIB="$PWD:$PERL5LIB"
%__perl Build.PL --installdirs=vendor

./Build

%check
export PERL5LIB="$PWD:$PERL5LIB"
./Build test

%install
export PERL5LIB="$PWD:$PERL5LIB"
./Build install --destdir=%{buildroot}

%files
%doc CHANGES LICENSE META.json META.yml MYMETA.yml NOTICE
%{_mandir}/man3/*
%{perl_vendorarch}/*

%changelog
* Sat Jul 18 2020 tv <tv> 0.6.3-5.mga8
+ Revision: 1606966
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 0.6.3-4.mga8
+ Revision: 1508300
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.6.3-3.mga7
+ Revision: 1292498
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.6.3-2.mga7
+ Revision: 1250424
- Rebuild for perl 5.28

* Tue Mar 20 2018 shlomif <shlomif> 0.6.3-1.mga7
+ Revision: 1210648
- update to 0.6.3

* Mon Oct 02 2017 tv <tv> 0.6.1-3.mga7
+ Revision: 1163458
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.6.1-2.mga7
+ Revision: 1149484
- Rebuild for perl ABI changes

* Mon Jul 31 2017 shlomif <shlomif> 0.6.1-1.mga7
+ Revision: 1133235
- New version 0.6.1 (tarball)
- New version 0.6.1

* Sat Jun 18 2016 pterjan <pterjan> 0.5.1-2.mga6
+ Revision: 1024263
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 0.5.1-1.mga6
+ Revision: 1007929
- New version 0.5.1

* Fri Feb 12 2016 umeabot <umeabot> 0.4.2-3.mga6
+ Revision: 956889
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.4.2-2.mga6
+ Revision: 842723
- Rebuild for perl 5.22

* Sun Jun 21 2015 sander85 <sander85> 0.4.2-1.mga6
+ Revision: 838383
- update to 0.4.2

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 745087
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 683956
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 0.4.0-1.mga5
+ Revision: 671960
- imported package perl-Clownfish

